<template>
    <div class="page no-toolbar">
      <div class="navbar">
        <div class="navbar-inner sliding">
          <div class="left">
            <a href="#" class="link back">
              <i class="icon icon-back"></i>
              <span class="if-not-md">Back</span>
            </a>
          </div>
          <div class="title">Konfirmasi Pembayaran</div>
        </div>
      </div>
      <div class="page-content">
 
      <div class="row">
          <div class="col-100" style="border-bottom: 1px solid #666;padding-bottom: 7px;margin-bottom: 7px;"> 
            <p style="font-size: 12px;margin-bottom: 0px;" class="color-gray">Kode Transaksi</p>
            <p style="font-size: 12px;font-weight: bold;">TR/02/09/2020/1</p>
          </div> 
          <div class="col-100" style="border-bottom: 1px solid #666;padding-bottom: 7px;margin-bottom: 7px;"> 
            <p style="font-size: 12px;margin-bottom: 0px;" class="color-gray">Pembayaran</p>
            <p style="font-size: 12px;font-weight: bold;">Rp 25.000</p>
          </div> 

          <div class="col-100" style="border-bottom: 1px solid #666;padding-bottom: 7px;margin-bottom: 7px;"> 
            <div class="row">
              <div class="col-20">
               <img src="https://growcery.id/foto/bank/bca.png" style="height: 60px;">
              </div>
              <div class="col-80">
                 <p style="font-size: 12px;margin-bottom: 0px;" class="color-gray">Rendra EKa Saputa</p>
                 <p style="font-size: 12px;font-weight: bold;">0111332915</p>
              </div>
            </div>
           
          </div> 
      </div>
    


       <div style="position: fixed;bottom: 0px;right: 0px;left: 0px;border-top: 1px solid #DDD;height: 50px;z-index: 9;background-color: #FFF;">
        <div class="row" style="height: 100%;">
          <div class="col-100">
            <button class="button button-fill" id="btn-pilihannya" type="button" style="border-radius: 0px;width: 100%;height: 50px;">Konfirmasi Pembayaran</button>
          </div>
        </div>
      </div>

      </div>
    </div>
  </template>
  <style>
    p {
      margin: 10px 0;
    }

    #load_notifikasi li {
      border-bottom: 1px solid #DDD;
    }
  </style>
  <script>
    import $$ from 'dom7';
    export default {
      // Lifecycle Hooks
      beforeCreate() {
        console.log('componentBeforeCreate', this)
      },
      created() {
        console.log('componentCreated', this)
      },
      beforeMount() {
        console.log('componentBeforeMount', this)
      },
      mounted() {
        //  const self = this;
        // const app = self.$f7;
        // var id_user = localStorage.getItem('id_user');
        // var id_transaksi = this.$route.params.id;
        // app.request.get('http://localhost/tani_git/api/load_bank' , function (data) {
        //   $$('#load_bank').html(data);

        //   $$(".btn-pilih-pembayaran").click(function(){
        //     var id_bank_pembayaran = $$(this).val();
        //               app.request({
        //               url: 'http://localhost/tani_git/api/update_pembayaran',
        //               method : 'POST',
        //               data : { id_transaksi:id_transaksi, id_user:id_user, id_bank_pembayaran:id_bank_pembayaran },
        //               statusCode: {
        //                 404: function (xhr) {
        //                   alert('page not found');
        //                 } 
        //               },
        //               success: function(data){
        //                  app.views.main.router.navigate('/konfirmasi/'+id_transaksi+'/');
        //               }
        //             });
        //   });

        // });

        // $$('#btn-pilihannya').click(function(){
        //   $$(this).addClass('color-gray');
        //   $$(this).prop('disabled', true);

        //     app.views.main.router.navigate('/konfirmasi/'+id_transaksi+'/');
        // });
      },
      beforeDestroy() {
        console.log('componentBeforeDestroy', this);
      },
      destroyed() {
        console.log('componentDestroyed', this);
      },
      // Component Data
      data: function () {
        // Must return an object
        return {
          name: 'Jimmy',
          age: 25,
          like: ['Tennis', 'Chess', 'Football'],
        }
      },
      // Component Methods
      methods: {
        pilihalamat: function () {
          var self = this;
          self.$app.dialog.alert('Hello World');
        },
      },
      // Page Events
      on: {
        pageMounted: function(e, page) {
          console.log('pageMounted', page);
        },
        pageInit: function(e, page) {
          console.log('pageInit', page);
        },
        pageBeforeIn: function(e, page) {
          console.log('pageBeforeIn', page);
        },
        pageAfterIn: function(e, page) {
          console.log('pageAfterIn', page);
        },
        pageBeforeOut: function(e, page) {
          console.log('pageBeforeOut', page);
        },
        pageAfterOut: function(e, page) {
          console.log('pageAfterOut', page);
        },
        pageBeforeRemove: function(e, page) {
          console.log('pageBeforeRemove', page);
        },
      }
    }
  </script>
  